import java.awt.*;
import java.io.*;
import java.util.*;
import java.net.*;

import symantec.itools.awt.StatusBar;
import symantec.itools.awt.util.dialog.ModalDialog;

class LoginListener extends Thread {
   DataInputStream in;
   PrintStream out;
   StatusBar status;
   ModalDialog md;
   Button bt;
   Socket socket;

   public LoginListener(Socket socket, StatusBar status, ModalDialog md, Button bt) {
      this.socket = socket;
      try {
          this.in = new DataInputStream(socket.getInputStream());
          this.out = new PrintStream(socket.getOutputStream());
      } catch (Exception e) {}
	  this.status = status;
	  this.md = md;
	  this.bt = bt;
      this.start();
   }

   public void run() {
      String line;

      try {
         for (;;) {
            line = in.readLine();
            if (line == null) break;

            StringTokenizer st = new StringTokenizer(line);
            String code = st.nextToken();
            
            if (code.equals("Failed")) {
                status.setStatusText("Login failed. Try again");
		        bt.enable();
		        continue;
            }
    		else if (code.equals("Denied")) {
    		    out.println("quit");
    		    md.hide();
    		    break;
    		}
    		else {	// Login was successful and do appropriate 'stuff'
		    	md.hide();
    			if (code.startsWith("INTRAUSER")) {
	    		    code = "User" + code.substring(9);
	    		}
    	    	(new HD_Frame(code, socket)).show();
    			break; 
	    	}
         }
      }
      catch (IOException e) {}
   }
}
